| Flutter Impeller |

Public Member Functions | List of all members
IMPELLER_HPP_NAMESPACE::ParagraphBuilder Class Referencefinal

`#include <impeller.hpp>`

Inheritance diagram for IMPELLER_HPP_NAMESPACE::ParagraphBuilder:

## Public Member Functions
| ParagraphBuilder (const TypographyContext &context)
Paragraph | Build (float width)
ParagraphBuilder & | PushStyle (const ParagraphStyle &style)
ParagraphBuilder & | PopStyle ()
ParagraphBuilder & | AddText (const uint8_t *utf8_data, uint32_t length)
ParagraphBuilder & | AddText (const std::string &string)
ParagraphBuilder & | AddText (const std::string_view &string)
Public Member Functions inherited from IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphBuilder, ImpellerParagraphBuilderTraits >
| Object ()=default
| Object (ImpellerParagraphBuilder object)
| Object (ImpellerParagraphBuilder object, AdoptTag)
| Object (Object &&other)
| Object (const Object &other)
| ~Object ()
Object & | operator= (Object &&other)
Object & | operator= (const Object &other)
ImpellerParagraphBuilder | Get () const
| operator bool () const

## Detailed Description

See also
  ImpellerParagraphBuilder

Definition at line 1149 of file impeller.hpp.

## Constructor & Destructor Documentation

## ◆ ParagraphBuilder()

IMPELLER_HPP_NAMESPACE::ParagraphBuilder::ParagraphBuilder | ( | const TypographyContext & | context | ) |
| inline explicit

Definition at line 1152 of file impeller.hpp.

1153 : Object(gGlobalProcTable.ImpellerParagraphBuilderNew(context.Get()),
1154 AdoptTag::kAdopt) {}
IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphBuilder, ImpellerParagraphBuilderTraits >::Object
Object()=default
IMPELLER_HPP_NAMESPACE::AdoptTag::kAdopt
@ kAdopt
IMPELLER_HPP_NAMESPACE::gGlobalProcTable
ProcTable gGlobalProcTable
Definition: playground_test.cc:25

References IMPELLER_HPP_NAMESPACE::kAdopt.

## Member Function Documentation

## ◆ AddText() [1/3]

ParagraphBuilder& IMPELLER_HPP_NAMESPACE::ParagraphBuilder::AddText | ( | const std::string & | string | ) |
| inline

See also
  ImpellerParagraphBuilderAddText

Definition at line 1194 of file impeller.hpp.

1194 {
1195 return AddText(reinterpret_cast<const uint8_t*>(string.data()),
1196 string.size());
1197 }
IMPELLER_HPP_NAMESPACE::ParagraphBuilder::AddText
ParagraphBuilder & AddText(const uint8_t *utf8_data, uint32_t length)
Definition: impeller.hpp:1186
data
std::shared_ptr< const fml::Mapping > data
Definition: texture_gles.cc:67

References AddText(), and data.

## ◆ AddText() [2/3]

ParagraphBuilder& IMPELLER_HPP_NAMESPACE::ParagraphBuilder::AddText | ( | const std::string_view & | string | ) |
| inline

See also
  ImpellerParagraphBuilderAddText

Definition at line 1202 of file impeller.hpp.

1202 {
1203 return AddText(reinterpret_cast<const uint8_t*>(string.data()),
1204 string.size());
1205 }

References AddText(), and data.

## ◆ AddText() [3/3]

ParagraphBuilder& IMPELLER_HPP_NAMESPACE::ParagraphBuilder::AddText | ( | const uint8_t * | utf8_data,
|  | uint32_t | length
| ) |  |
| inline

See also
  ImpellerParagraphBuilderAddText

Definition at line 1186 of file impeller.hpp.

1186 {
1187 gGlobalProcTable.ImpellerParagraphBuilderAddText(Get(), utf8_data, length);
1188 return *this;
1189 }
IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphBuilder, ImpellerParagraphBuilderTraits >::Get
ImpellerParagraphBuilder Get() const
Definition: impeller.hpp:269

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphBuilder, ImpellerParagraphBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

Referenced by AddText().

## ◆ Build()

Paragraph IMPELLER_HPP_NAMESPACE::ParagraphBuilder::Build | ( | float | width | ) |
| inline

See also
  ImpellerParagraphBuilderBuildParagraphNew

Definition at line 1159 of file impeller.hpp.

1159 {
1160 return Paragraph(
1161 gGlobalProcTable.ImpellerParagraphBuilderBuildParagraphNew(Get(), //
1162 width //
1163 ),
1164 AdoptTag::kAdopt);
1165 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphBuilder, ImpellerParagraphBuilderTraits >::Get(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, and IMPELLER_HPP_NAMESPACE::kAdopt.

## ◆ PopStyle()

ParagraphBuilder& IMPELLER_HPP_NAMESPACE::ParagraphBuilder::PopStyle | ( |  | ) |
| inline

See also
  ImpellerParagraphBuilderPopStyle

Definition at line 1178 of file impeller.hpp.

1178 {
1179 gGlobalProcTable.ImpellerParagraphBuilderPopStyle(Get());
1180 return *this;
1181 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphBuilder, ImpellerParagraphBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ PushStyle()

ParagraphBuilder& IMPELLER_HPP_NAMESPACE::ParagraphBuilder::PushStyle | ( | const ParagraphStyle & | style | ) |
| inline

See also
  ImpellerParagraphBuilderPushStyle

Definition at line 1170 of file impeller.hpp.

1170 {
1171 gGlobalProcTable.ImpellerParagraphBuilderPushStyle(Get(), style.Get());
1172 return *this;
1173 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphBuilder, ImpellerParagraphBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

The documentation for this class was generated from the following file:

- impeller/toolkit/interop/impeller.hpp